From 4f6dace9df4ac8bd85697a85428795400483b464 Mon Sep 17 00:00:00 2001
From: Meghan Richardson <mrichard@fedoraproject.org>
Date: Jul 08 2015 18:44:20 +0000
Subject: [PATCH 178/1001] login avatar dropdown


---

diff --git a/hubs/app.py b/hubs/app.py
index 877991c..02d481b 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -13,6 +13,7 @@ import hubs.models
 
 import datanommer.models
 
+from hubs.utils import username2avatar
 
 app = flask.Flask(__name__)
 
@@ -207,6 +208,7 @@ def check_auth():
         flask.g.auth.fullname = flask.session.get('fullname', None)
         flask.g.auth.nickname = flask.session.get('nickname', None)
         flask.g.auth.email = flask.session.get('email', None)
+        flask.g.auth.avatar = username2avatar(flask.g.auth.nickname)
 
 
 def get_hub(session, name):
